﻿@model System.Collections.Generic.List<Microsoft.AspNetCore.Identity.IdentityUser>

<h2>Список пользователей</h2>
<table class="table">
    @foreach (var user in Model)
    {
    <tr>
        <td>@user.Email</td>
        <td>
            <a class="btn btn-sm btn-primary" asp-action="Edit" asp-route-userid="@user.Id">Права доступа</a>
        </td>
        @if (user.LockoutEnabled == false)
        {
            <td>
                <a class="btn btn-sm btn-primary badge-danger" asp-action="Block" asp-route-userId="@user.Id">Заблокировать</a>
            </td>
        }
        else
        {
             <td>
                <a class="btn btn-sm btn-primary badge-pill" asp-action="UnBlock" asp-route-userId="@user.Id">Разблокировать</a>
            </td>
        }
        
    </tr>
    }
</table>